include	clib.inc
include	wsub.inc
include	string.inc
include	progress.inc

PPROC	wsetprogress
	sub sp,8
	push dx
	push ax
	add sp,12
	invoke strfn, addr __srcfile
	push dx
	push ax
	push dx
	push offset __outpath
	sub sp,4
	call progress_set
	;invoke progress_set, addr __srcfile, addr __outpath, dx::ax
	ret
PEND	wsetprogress

	END
